Subject: Defective bath mat
From: Libby Ramsey <[email-masked]>
To: [email-masked]
Date: Mon, 4 Aug 2025 08:52:33 -0400

Hello, 
I have purchased several of your bath mats through Amazon and I love them.  However I bought the one, linked below, a few weeks ago.  Almost immediately upon use it started to discolor from contact with water.  I’ve attached two photos: One close up photo, and one side by side with my other bath mat from you which is 1 year older and totally fine!  This is just from periodic use outside of a shower with only water touching it.  Could you please send me a replacement?  Like I said, I love your mats and have several of them so there must be something defective with the color-fastness of this particular one.

Thank you, 
Elizabeth Ramsey
Shipping address: 135 Bridge Street Manchester by the Sea, MA 01944
615-636-1290

Product description:
https://www.amazon.com/dp/B01M0LWX0O?ref_=ppx_hzsearch_conn_dt_b_fed_asin_title_2&th=1 <https://www.amazon.com/dp/B01M0LWX0O?ref_=ppx_hzsearch_conn_dt_b_fed_asin_title_2&th=1>